Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.util
Class InMemoryResource

    java.lang.Object
      org.springframework.core.io.AbstractResource
          org.acegisecurity.util.InMemoryResource

All Implemented Interfaces:
  InputStreamSource, Resource

    public class InMemoryResource

extends AbstractResource

An in memory implementation of Spring's `Resource` interface.

Used by the "Acegifier" web application to create a bean factory from an XML string, rather than a file.

Version:
  $Id: InMemoryResource.java,v 1.3 2005/11/17 00:56:09 benalex Exp $
Author:
  Luke Taylor

Constructor Summary
`InMemoryResource(byte[] source)`
`InMemoryResource(byte[] source, String description)`

Method Summary
`String` | `getDescription()`
`InputStream` | `getInputStream()`

Methods inherited from class org.springframework.core.io.AbstractResource
`createRelative, equals, exists, getFile, getFilename, getURL, hashCode, isOpen, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InMemoryResource

    public InMemoryResource(byte[] source)

### InMemoryResource

    public InMemoryResource(byte[] source,
                            String description)

Method Detail

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in interface `Resource`
  Specified by:
    `getDescription` in class `AbstractResource`

### getInputStream

    public InputStream getInputStream()
                               throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.